Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.provision
Class SoftwareDownloadRecord

    java.lang.Object
      org.jini.rio.core.provision.SoftwareDownloadRecord

All Implemented Interfaces:
  Serializable

    public class SoftwareDownloadRecord

extends Object
implements Serializable

The SoftwareDownloadRecord stores attributes related to a software download

See Also:
  `SoftwareLoad`, Serialized Form

Constructor Summary
`SoftwareDownloadRecord(URL location, String path, String name, Date downloadDate, int downloadedSize, int extractedSize, boolean unarchived, long downloadTime, long unarchiveTime)` Create a SoftwareDownloadRecord instance

Method Summary
`Date` | `getDate()` Get the date of the dowload
`int` | `getDownloadedSize()` Get the size of the downloaded software.
`long` | `getDownloadTime()` Get the amount of time (in millis) it took to perform the download
`int` | `getExtractedSize()` Get the size of the extracted software.
`URL` | `getLocation()` Get the location
`String` | `getName()` Get the name of the downloaded file
`String` | `getPath()` Get the path to the downloaded file
`long` | `getUnarchiveTime()` Get the amount of time (in millis) it took to perform the unarchive (extraction)
`String` | `toString()`
`boolean` | `unarchived()` Get whether the downloaded software was unarchived

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoftwareDownloadRecord

    public SoftwareDownloadRecord(URL location,
                                  String path,
                                  String name,
                                  Date downloadDate,
                                  int downloadedSize,
                                  int extractedSize,
                                  boolean unarchived,
                                  long downloadTime,
                                  long unarchiveTime)

  Create a SoftwareDownloadRecord instance

  Parameters:
    `location` - The location of the software
    `path` - The canonical path in the file system where the file was downloaded
    `name` - The name of the software file
    `downloadDate` - When the software was downloaded
    `downloadedSize` - The size of the downloaded software
    `extractedSize` - The size of the extracted software
    `unarchived` - Whether or not the downloaded software was unarchived (extracted)
    `downloadTime` - The amount of time (in milliseconds) it took to perform the download
    `unarchiveTime` - The amount of time (in milliseconds) it took to perform the unarchive (extraction)

Method Detail

### getLocation

    public URL getLocation()

  Get the location

  Returns:
    The originating location downloaded software

### getDownloadedSize

    public int getDownloadedSize()

  Get the size of the downloaded software.

  Returns:
    The size of the downloaded software

### getExtractedSize

    public int getExtractedSize()

  Get the size of the extracted software.

  Returns:
    The size of the extracted software. If the software has not been extracted this value will be zero

### getPath

    public String getPath()

  Get the path to the downloaded file

  Returns:
    The canonical path in the file system where the file was downloaded

### getName

    public String getName()

  Get the name of the downloaded file

  Returns:
    The name of the downloaded file

### unarchived

    public boolean unarchived()

  Get whether the downloaded software was unarchived

  Returns:
    Return true if the software needs was unarchived, false if not

### getDate

    public Date getDate()

  Get the date of the dowload

  Returns:
    The Date the software was downloaded.

### getDownloadTime

    public long getDownloadTime()

  Get the amount of time (in millis) it took to perform the download

  Returns:
    The amount of time (in millis) it took to perform the download

### getUnarchiveTime

    public long getUnarchiveTime()

  Get the amount of time (in millis) it took to perform the unarchive (extraction)

  Returns:
    The amount of time (in millis) it took to perform the unarchive (extraction)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.